Api reference
POST Sessions Id Open
POST
/v1/sessions/{id}/openAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
project?|null
session*
update?|null
transcriptLimit?number||||null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/sessions/string/open" \ -H "Content-Type: application/json" \ -d '{ "session": { "projectId": "string", "harnessId": "string" } }'{ "session": { "id": "string", "projectId": "string", "serverId": "string", "harnessId": "string", "harnessAccountId": "string", "agentSessionId": "string", "title": "string", "origin": "codevisor", "isArchived": true, "archivedAt": "string", "worktreeName": "string", "workspaceId": "string", "cwd": "string", "configSelections": { "property1": "string", "property2": "string" }, "createdAt": "string", "updatedAt": "string", "sidebarState": "idle", "sidebarStateChangedAt": "string", "usage": { "used": 0, "size": 0, "inputTokens": 0, "cachedInputTokens": 0, "outputTokens": 0, "reasoningOutputTokens": 0, "totalTokens": 0, "costAmount": 0, "costCurrency": "string", "costKind": "reported" }, "latestAttentionSequence": 0, "lastSeenAttentionSequence": 0, "unreadCount": 0, "hasUnreadError": true, "actionRequired": true, "actionRequiredKind": "question", "pendingPlanApproval": true }, "transcript": { "items": [ { "id": "string", "sessionId": "string", "sequence": 0, "role": "user", "text": "string", "createdAt": "string", "updatedAt": "string", "isGenerating": true, "hasDetails": true, "turnId": "string", "startedAt": "string", "endedAt": "string", "stopReason": "string", "stopDetail": "string", "stopKind": "usageLimit", "retryable": true, "planDocument": "string", "attachments": [ { "fileId": "string", "name": "string", "mimeType": "string", "sizeBytes": 0, "kind": "image" } ], "messageId": "string", "phase": "commentary", "revision": 0 } ], "nextBefore": "string", "hasMore": true, "eventCursor": 0, "pendingQuestion": { "sessionUpdate": "question", "questionId": "string", "message": "string", "questions": [ { "id": "string", "header": "string", "question": "string", "options": [ { "id": "string", "label": "string", "description": "string" } ], "multiSelect": true, "allowsOther": true, "isSecret": true, "backOptionLabel": "string", "presentation": "browserExtensionSetup" } ], "autoResolutionMs": 0 }, "pendingPlanApproval": true, "backgroundTasks": [ { "id": "string", "description": "string", "status": "string", "taskType": "string", "toolUseId": "string", "terminalKey": "string", "readOnly": true } ], "goal": { "objective": "string", "status": "active", "activity": "planning", "tokenBudget": 0, "tokensUsed": 0, "timeUsedSeconds": 0, "createdAt": "string", "updatedAt": "string" }, "sessionPlan": { "entries": [ { "content": "string", "priority": "high", "status": "pending" } ] }, "usage": { "used": 0, "size": 0, "inputTokens": 0, "cachedInputTokens": 0, "outputTokens": 0, "reasoningOutputTokens": 0, "totalTokens": 0, "costAmount": 0, "costCurrency": "string", "costKind": "reported" } }}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}